YOSYS(1)

NAME
yosys - Yosys Open SYnthesis Suite

SYNOPSIS
yosys [options] <infile>

DESCRIPTION
This manual page documents briefly the yosys command.

yosys is a program that synthesizes RTL to gate-level logic.

OPTIONS
A summary of options is included below.

-q  quiet operation. only write error message to console

-v <level>
    print log headers up to level <level> to the console. (implies -q)

-t  annotate all log messages with a time stamp

-l logfile
    write log messages to the specified file

-o outfile
    write the design to the specified file on exit

-b backend
    use this backend for the output file specified on the command line

-H  print the command list

-h command
    print the help message for the specified command

-s scriptfile
    execute the commands in the script file

-c tcl_scriptfile
    execute the commands in the tcl script file (see 'help tcl' for details)

-p command
    execute the commands

-m module_file
    load the specified module (aka plugin)

-V  print version information and exit

-S  The option -S is an alias for the following options that perform a simple transformation of the input to a gate-level netlist.
        -p hierarchy -p proc -p opt -p memory -p opt -p techmap -p opt

SEE ALSO
berkeley-abc(1), yosys-config(1), yosys-filterlib(1)

AUTHOR
yosys was written by Clifford Wolf <clifford@clifford.at>.

This manual page was written by Ruben Undheim <ruben.undheim@gmail.com>, for the Debian project (and may be used by others).